Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1226738 - [abrt] java-1.8.0-openjdk-headless: signalHandler(): java killed by SIGABRT
Summary: [abrt] java-1.8.0-openjdk-headless: signalHandler(): java killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:96b7ee51d4888ca623d0a4a9225...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-01 00:10 UTC by Alex Villacís Lasso
Modified: 2015-12-07 21:21 UTC (History)
11 users (show)

Fixed In Version: eclipse-4.5.1-5.fc23 eclipse-4.5.1-5.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 20:29:10 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (478.71 KB, text/plain)
2015-06-01 00:12 UTC, Alex Villacís Lasso
no flags Details
File: cgroup (190 bytes, text/plain)
2015-06-01 00:12 UTC, Alex Villacís Lasso
no flags Details
File: core_backtrace (136.63 KB, text/plain)
2015-06-01 00:13 UTC, Alex Villacís Lasso
no flags Details
File: dso_list (31.12 KB, text/plain)
2015-06-01 00:13 UTC, Alex Villacís Lasso
no flags Details
File: environ (1.38 KB, text/plain)
2015-06-01 00:14 UTC, Alex Villacís Lasso
no flags Details
File: hs_err.log (124.51 KB, text/plain)
2015-06-01 00:14 UTC, Alex Villacís Lasso
no flags Details
File: limits (1.29 KB, text/plain)
2015-06-01 00:14 UTC, Alex Villacís Lasso
no flags Details
File: maps (89.56 KB, text/plain)
2015-06-01 00:14 UTC, Alex Villacís Lasso
no flags Details
File: mountinfo (3.68 KB, text/plain)
2015-06-01 00:15 UTC, Alex Villacís Lasso
no flags Details
File: namespaces (85 bytes, text/plain)
2015-06-01 00:15 UTC, Alex Villacís Lasso
no flags Details
File: open_fds (19.53 KB, text/plain)
2015-06-01 00:15 UTC, Alex Villacís Lasso
no flags Details
File: proc_pid_status (977 bytes, text/plain)
2015-06-01 00:15 UTC, Alex Villacís Lasso
no flags Details
File: var_log_messages (726 bytes, text/plain)
2015-06-01 00:15 UTC, Alex Villacís Lasso
no flags Details

Description Alex Villacís Lasso 2015-06-01 00:10:47 UTC
Description of problem:
Opened Eclipse, selected Preferences, then Font Selection, attempted to use Gnome font selector, and started filtering by name.

Version-Release number of selected component:
java-1.8.0-openjdk-headless-1.8.0.45-38.b14.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/bin/java -Xms128m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Declipse.p2.skipMovedInstallDetection=true -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20150513-1800.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.4.2.v20150513-1759/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20150513-1800/eclipse_1608.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20150513-1800.jar --launcher.appendVmargs -exitdata 120003 -protect master -vm /usr/bin/java -vmargs -Xms128m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Declipse.p2.skipMovedInstallDetection=true -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20150513-1800.jar
crash_function: signalHandler
executable:     /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.45-38.b14.fc22.x86_64/jre/bin/java
global_pid:     4137
kernel:         4.0.4-301.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 signalHandler at /usr/src/debug/java-1.8.0-openjdk-1.8.0.45-38.b14.fc22.x86_64/jdk8/hotspot/src/os/linux/vm/os_linux.cpp:4268
 #7 gtk_tree_model_get_valist at gtktreemodel.c:1797
 #8 gtk_tree_model_get at gtktreemodel.c:1759
 #9 gtk_font_chooser_widget_cell_data_func at gtkfontchooserwidget.c:838
 #10 apply_cell_attributes at gtkcellarea.c:1258
 #11 g_hash_table_foreach at ghash.c:1607
 #12 gtk_cell_area_real_apply_attributes at gtkcellarea.c:1287
 #13 gtk_cell_area_box_apply_attributes at gtkcellareabox.c:1311
 #14 _gtk_marshal_VOID__OBJECT_BOXED_BOOLEAN_BOOLEANv at gtkmarshalers.c:5040
 #15 _g_closure_invoke_va at gclosure.c:831

Comment 1 Alex Villacís Lasso 2015-06-01 00:12:38 UTC
Created attachment 1033045 [details]
File: backtrace

Comment 2 Alex Villacís Lasso 2015-06-01 00:12:49 UTC
Created attachment 1033046 [details]
File: cgroup

Comment 3 Alex Villacís Lasso 2015-06-01 00:13:27 UTC
Created attachment 1033047 [details]
File: core_backtrace

Comment 4 Alex Villacís Lasso 2015-06-01 00:13:43 UTC
Created attachment 1033048 [details]
File: dso_list

Comment 5 Alex Villacís Lasso 2015-06-01 00:14:00 UTC
Created attachment 1033049 [details]
File: environ

Comment 6 Alex Villacís Lasso 2015-06-01 00:14:31 UTC
Created attachment 1033050 [details]
File: hs_err.log

Comment 7 Alex Villacís Lasso 2015-06-01 00:14:39 UTC
Created attachment 1033051 [details]
File: limits

Comment 8 Alex Villacís Lasso 2015-06-01 00:14:55 UTC
Created attachment 1033052 [details]
File: maps

Comment 9 Alex Villacís Lasso 2015-06-01 00:15:06 UTC
Created attachment 1033053 [details]
File: mountinfo

Comment 10 Alex Villacís Lasso 2015-06-01 00:15:14 UTC
Created attachment 1033054 [details]
File: namespaces

Comment 11 Alex Villacís Lasso 2015-06-01 00:15:25 UTC
Created attachment 1033055 [details]
File: open_fds

Comment 12 Alex Villacís Lasso 2015-06-01 00:15:33 UTC
Created attachment 1033056 [details]
File: proc_pid_status

Comment 13 Alex Villacís Lasso 2015-06-01 00:15:41 UTC
Created attachment 1033057 [details]
File: var_log_messages

Comment 14 Deepak Bhole 2015-06-01 12:35:17 UTC
Looks like this is happening from SWT JNI code. Re-assigning.

Comment 15 Fedora Update System 2015-11-28 11:35:01 UTC
eclipse-4.5.1-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-216e0b2968

Comment 16 Mat Booth 2015-11-28 11:37:10 UTC
The font selection dialog appears to work correct for me in Eclipse Mars.1

Comment 17 Fedora Update System 2015-11-29 00:53:51 UTC
eclipse-4.5.1-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update eclipse'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-216e0b2968

Comment 18 Fedora Update System 2015-11-29 10:46:43 UTC
eclipse-4.5.1-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3984ff045b

Comment 19 Fedora Update System 2015-11-29 23:52:56 UTC
eclipse-4.5.1-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update eclipse'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3984ff045b

Comment 20 Fedora Update System 2015-12-07 20:28:59 UTC
eclipse-4.5.1-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-12-07 21:21:07 UTC
eclipse-4.5.1-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.